import { GroupsTeamsAuthorizerConfig } from "@webiny/api-security";
import { AuthenticatorConfig } from "./createAuthenticator";
import { Context } from "./types";
export interface CreateAuth0Config<TContext extends Context = Context> extends AuthenticatorConfig, GroupsTeamsAuthorizerConfig<TContext> {
    graphQLIdentityType?: string;
}
export declare const createAuth0: <TContext extends Context = Context>(config: CreateAuth0Config<TContext>) => ((import("@webiny/handler-graphql/plugins").GraphQLSchemaPlugin<import("@webiny/api/types").Context> | import("@webiny/handler").ContextPlugin<import("@webiny/api-tenancy/types").TenancyContext>)[] | import("@webiny/handler").ContextPlugin<import("@webiny/api-tenant-manager/types").TenantManagerContext> | import("@webiny/api").ContextPlugin<import("@webiny/api-admin-users/types").AdminUsersContext>)[];
